LibreOffice: XPropertyReplace Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPropertyReplace Interface Referencepublished

makes it possible to search and replace properties. More...

`import"XPropertyReplace.idl";`

Inheritance diagram for XPropertyReplace:

## Public Member Functions
boolean | getValueSearch ()
| provides the information if specific property values are searched, or just the existence of the specified properties. More...
void | setValueSearch ([in] boolean bValueSearch)
| specifies if specific property values are searched, or just the existence of the specified properties. More...
sequence< com::sun::star::beans::PropertyValue > | getSearchAttributes ()
void | setSearchAttributes ([in] sequence< com::sun::star::beans::PropertyValue > aSearchAttribs) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::IllegalArgumentException )
| sets the properties to search for. More...
sequence< com::sun::star::beans::PropertyValue > | getReplaceAttributes ()
void | setReplaceAttributes ([in] sequence< com::sun::star::beans::PropertyValue > aSearchAttribs) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::IllegalArgumentException )
| sets the properties to replace the found occurrences. More...
Public Member Functions inherited from XReplaceDescriptor
string | getReplaceString ()
void | setReplaceString ([in] string aReplaceString)
| sets the string which replaces the found occurrences. More...
Public Member Functions inherited from XSearchDescriptor
string | getSearchString ()
void | setSearchString ([in] string aString)
| sets the string of characters to look for. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to search and replace properties.

## Member Function Documentation

sequence<com::sun::star::beans::PropertyValue> getReplaceAttributes | ( |  | ) |

Returns
  the attribute values which are used to replace the found occurrences.

sequence<com::sun::star::beans::PropertyValue> getSearchAttributes | ( |  | ) |

Returns
  the attributes to search for.

boolean getValueSearch | ( |  | ) |

provides the information if specific property values are searched, or just the existence of the specified properties.

void setReplaceAttributes | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aSearchAttribs | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

sets the properties to replace the found occurrences.

void setSearchAttributes | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aSearchAttribs | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

sets the properties to search for.

void setValueSearch | ( | [in] boolean | bValueSearch | ) |

specifies if specific property values are searched, or just the existence of the specified properties.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XPropertyReplace.idl